Matrice arithmetics
Utilities.

() More...

## Functions

Matrice | Lorene::operator+ (const Matrice &a, const Matrice &b)
| `Matrice` + `Matrice`
Matrice | Lorene::operator- (const Matrice &a, const Matrice &b)
| `Matrice` - `Matrice`
Matrice | Lorene::operator* (const Matrice &a, double x)
| `Matrice` * `double`
Matrice | Lorene::operator* (double x, const Matrice &a)
| `double` * `Matrice`
Matrice | Lorene::operator* (const Matrice &aa, const Matrice &bb)
| Matrix product.
Matrice | Lorene::operator/ (const Matrice &a, double x)
| `Matrice` / `double`

## Detailed Description

()

## Function Documentation

## operator*() [1/3]

Matrice Lorene::operator* | ( | const Matrice & | a,
|  | double | x )

`Matrice` * `double`

Definition at line 646 of file matrice.C.

## operator*() [2/3]

Matrice Lorene::operator* | ( | const Matrice & | aa,
|  | const Matrice & | bb )

Matrix product.

Definition at line 658 of file matrice.C.

## operator*() [3/3]

Matrice Lorene::operator* | ( | double | x,
|  | const Matrice & | a )

`double` * `Matrice`

Definition at line 652 of file matrice.C.

## operator+()

Matrice Lorene::operator+ | ( | const Matrice & | a,
|  | const Matrice & | b )

`Matrice` + `Matrice`

Definition at line 634 of file matrice.C.

## operator-()

Matrice Lorene::operator- | ( | const Matrice & | a,
|  | const Matrice & | b )

`Matrice` - `Matrice`

Definition at line 640 of file matrice.C.

## operator/()

Matrice Lorene::operator/ | ( | const Matrice & | a,
|  | double | x )

`Matrice` / `double`

Definition at line 693 of file matrice.C.